[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#515622: apt and proxy

package apt
severity 515622 wishlist
tags 515622 +wontfix


Vitaliyi wrote:
> Package: apt
> Version:
> apt uses defined in config proxy to download packages only from
> repositories listed in sources.list and does not set
> 'http_proxy'/'gtp_proxy' environment variables.
> Package 'msttcorefonts' requires some downloads and they fails on my
> machine without proxy.

I don't know what will be the best solution for this problem, but I
claim that apt cannot (reliably) and should not set {http,ftp}_proxy
variables, these variables should only be set by users/admins. So
marking this as "wontfix", unless anyone of developers object.

Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
C++/Perl developer, Debian Maintainer

Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: